Bug 214174 - [New port] x11-wm/cde: Common Desktop Environment
Summary: [New port] x11-wm/cde: Common Desktop Environment
Status: Closed Overcome By Events
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Chris Rees
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-11-03 20:15 UTC by mikael.urankar
Modified: 2017-10-11 13:05 UTC (History)
2 users (show)

See Also:


Attachments
x11-wm/cde (282.54 KB, patch)
2016-11-03 20:15 UTC, mikael.urankar
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description mikael.urankar 2016-11-03 20:15:30 UTC
Created attachment 176596 [details]
x11-wm/cde

Hi,

Can I have a review for this port please?

It builds fine on 9.3, 10 and 11.
There is a build failure if libc isn't build with MALLOC_PRODUCTION=yes (it only
affects -CURRENT)
I've tested it on armv6 and amd64.

portlint -AC:
WARN: Makefile: possible use of absolute pathname "/tmp".
WARN: /usr/ports/x11-wm/cde/pkg-message: possible use of absolute pathname "/etc/hosts".


rclint files/dtlogin.in:
Checking files/dtlogin.in
ERROR:root:[0]: No description included

The description is missing but I can't find a port where the rc script provides
one. Should I add a description?


There are some warnings with 'poudriere testport', fixing them will be hard. Is it
a problem?
Warning: Bad symlink '/usr/local/dt/bin/ttrmdir' pointing to an absolute pathname '/usr/local/dt/bin/ttrm'
Warning: Bad symlink '/usr/local/dt/appconfig/icons/C/Fphelp.t.pm' pointing to an absolute pathname '/usr/local/dt/appconfig/icons/C/Dthelp.t.pm'
...


Thanks in advance.
Comment 1 mikael.urankar 2016-11-03 20:19:34 UTC
Build log:
http://mikael.urankar.free.fr/FreeBSD/cde-2.2.4.log
Comment 2 mikael.urankar 2017-02-26 14:29:48 UTC
Hi,

Can I have a review of my port please?

tia
Comment 3 Mr Pettington 2017-03-02 13:14:41 UTC
reviews are on reviews.freebsd.org
Comment 4 Mr Pettington 2017-03-02 13:16:54 UTC
I reviewed it and you should use specific patches for specific arch no point in patching for arm on amd64 and vice versa.
Comment 5 Alexey Dokuchaev freebsd_committer 2017-03-07 12:15:05 UTC
I've been working on similar port myself some years ago, so grab this one.
Comment 6 Alexey Dokuchaev freebsd_committer 2017-06-01 16:41:59 UTC
CDE was ported by crees@ and committed as ports r442032.
Comment 7 mikael.urankar 2017-06-01 17:47:42 UTC
So I had to wait 6 months for this response and the version committed is not the latest version?
amazing.
Comment 8 Chris Rees freebsd_committer 2017-06-01 19:09:46 UTC
Hey, I'm really sorry I missed this in BZ
  Been working on this for ages on and off and neglected to check - I guess I should have known I wouldn't be the only person working on it.

It looks as though your port has some advantages over mine (apart from being more up to date, though I chose the advertised version rather than just the latest tarball).  I'll see if I can merge them- if you want maintaintership it's yours.

Alexei, I'm sure you don't mind if I take this one :) If you've got your WIP with some cool ideas as well that'd be welcome, or don't worry.

Cheers,

Chris
Comment 9 Chris Rees freebsd_committer 2017-06-01 19:10:23 UTC
(In reply to Chris Rees from comment #8)
And autocorrect gets Alexey, sorry, ignorant dictionary.
Comment 10 Alexey Dokuchaev freebsd_committer 2017-06-01 19:50:17 UTC
I don't mind at all Chris.  I've also been working on it for ages, my WIP still sitting under x11 category (on a related note: why was it committed under x11-wm, it's a DE rather than a window manager, and should be alongside with Gnome and KDE, no?).
Comment 11 Chris Rees freebsd_committer 2017-06-01 20:19:07 UTC
Or in x11-wm with xfce4? :)  Tricky call!  Personally I'm not at all bothered- if you feel strongly I'll mode it next update.

Cheers,

Chris
Comment 12 Alexey Dokuchaev freebsd_committer 2017-06-01 20:29:01 UTC
No, I don't really feel strongly (but see below), albeit I have to point out that Xfce4 ports are indeed badly placed: there is (correctly placed) x11-wm/xfce4-wm port, and others are probably misplaced.

On the other hand, CDE does install a number of utilities which are not WMs, so technically there is a reason behind placing it in x11, but ultimately it's up to you guys.  However, in case you'd consider moving it, place don't forget to repocopy it properly instead of svn rm/add.
Comment 13 mikael.urankar 2017-06-02 19:18:59 UTC
(In reply to Chris Rees from comment #8)
I'm sorry I overreacted :(

I agree with Alexey and the port should go in x11.

You have a wrong path in your ports files/pkg-message.in: /usr/dt/bin/Xsession
-> %%PREFIX%%/dt/bin/Xsession
Comment 14 Chris Rees freebsd_committer 2017-06-02 19:44:29 UTC
No problem - I've been where you are and I don't think you overreacted :)

My port relies on a syncing /usr/dt because hacking the build scripts was just horrendous, and I had figured that since people tolerated /use/X11R6 for so long it wouldn't be that big a deal.  However, if you've managed to get it to behave without one, that's amazing.  I'll have a look.